hpp-corbaserver: SplineBernstein5 Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
SplineBernstein5 Class Reference

`#include <hpp/core_idl/steering_methods-idl.hh>`

Inheritance diagram for SplineBernstein5:
[legend]
Collaboration diagram for SplineBernstein5:
[legend]

## Public Types
typedef SplineBernstein5_ptr | _ptr_type
typedef SplineBernstein5_var | _var_type
Public Types inherited from SteeringMethod
typedef SteeringMethod_ptr | _ptr_type
typedef SteeringMethod_var | _var_type

## Public Member Functions
virtual | ~SplineBernstein5 ()
inline ::hpp::core_idl::steeringMethod_idl::SplineBernstein5_ptr | _this ()
Public Member Functions inherited from SteeringMethod
virtual | ~SteeringMethod ()
inline ::hpp::core_idl::SteeringMethod_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)
Static Public Member Functions inherited from SteeringMethod
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId
Static Public Attributes inherited from SteeringMethod
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef SplineBernstein5_ptr SplineBernstein5::_ptr_type

## ◆ _var_type

typedef SplineBernstein5_var SplineBernstein5::_var_type

## Constructor & Destructor Documentation

## ◆ ~SplineBernstein5()

virtual SplineBernstein5::~SplineBernstein5 | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type SplineBernstein5::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type SplineBernstein5::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

void SplineBernstein5::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type SplineBernstein5::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type SplineBernstein5::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::core_idl::steeringMethod_idl::SplineBernstein5_ptr SplineBernstein5::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type SplineBernstein5::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type SplineBernstein5::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* SplineBernstein5::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/core_idl/steering_methods-idl.hh